Subject: Re: [PATCH add immr alias 2/4] powerpc: 5121: Add immr alias to MPC5121 ADS device tree.

From: Scott Wood <[email-masked]>
Date: Tue, 05 Aug 2008 16:20:52 -0500

John Rigby wrote:
>    I would like to use mpc83xx_add_bridge for 5121.  This is why I
>    moved it to fsl_pci.c.  It currently uses get_immrbase and adds
>    0x8300 and 0x8304 to it to pass to setup_indirect_pci as the
>    cfg_addr, and cfg_data addresses.
> 
>    I'm more than willing to change mpc83xx_add_bridge to not use
>    get_immrbase.  One simple solution is to pass the cfg_addr and
>    cfg_data addresses in.  If that seems ok then thats what I will do.

We should really be putting those addresses in the "reg" property of the 
PCI node.

-Scott